package com.gct.tool.mapper.centralbase;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gct.centralbase.entity.CbCdWellSource;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 单井基础信息 Mapper 接口
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
@Mapper
public interface CbCdWellSourceMapper extends BaseMapper<CbCdWellSource> {

    List<CbCdWellSource> selectWellSourceList(@Param("orgIds") List<String> orgIds);

    List<CbCdWellSource> getjhAll();
    List<CbCdWellSource> getjhAllByorgid(@Param("orgid") String orgid);
    Page<Map<String,Object>> getAllWellSourceList(@Param("page") IPage<Map<String,Object>> page, @Param("sql") String sql);

    /**
     * 根据井号查询稠油井信息
     * @param wellName
     * @return
     */
    CbCdWellSource getByWellId_Heavy(@Param("wellName") String wellName);



    //查询所有井用于分析误差率
    List<CbCdWellSource> getjhAllYieldError();

    List<CbCdWellSource> getjhAllConent();


}
